Bug 1913858 - [RFE] Enable high-availability for VMs that are pinned to host(s)
Summary: [RFE] Enable high-availability for VMs that are pinned to host(s)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ovirt-4.4.7
: 4.4.7
Assignee: Lucia Jelinkova
QA Contact: Polina
URL:
Whiteboard:
Depends On:
Blocks: 1963698
TreeView+ depends on / blocked
 
Reported: 2021-01-07 18:02 UTC by Arik
Modified: 2021-10-27 12:20 UTC (History)
5 users (show)

Fixed In Version: ovirt-engine-4.4.7.5
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-26 07:11:22 UTC
oVirt Team: Virt
ahadas: ovirt-4.4?
pagranat: testing_plan_complete+
pm-rhel: planning_ack?
pm-rhel: devel_ack+
pm-rhel: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 115270 0 master MERGED webadmin: remove validation on HA VM 2021-06-17 17:04:33 UTC

Description Arik 2021-01-07 18:02:06 UTC
We disable high availability for VMs that are set with dedicated hosts (i.e., pinned to host(s) and set with Migration mode = 'Do not allow migration'/'Allow manual migration only').

The idea is that we cannot guarantee high availability in case the VM is set to run on a single or just a few hosts (because if that host dies, the VM cannot run).

An exception to the above is high performance VMs for which we do enable to set high availability also when they are configured with dedicated host(s).

The request here is to configure a VM (that is not of type 'high performance') with automatic restart also in case it is configured with dedicate host(s). It should be reflected that it's not really high availability [1] but a subset (automatic restart).

[1] For example when fencing a host such VM is running on, it would be ok that this VM won't get precedence in migrating out from the host

Comment 1 Lucia Jelinkova 2021-06-18 11:46:06 UTC
It was possible to create a HA VM pinned to one host with migration disabled using REST API. The attached patch removed the relevant checks that prevented to create such VM in the UI. The HA VM pinned to one host is not truly HA, but it supports automatic restart as stated in the bug summary.

Comment 2 RHEL Program Management 2021-06-21 23:21:31 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 3 Polina 2021-07-12 09:13:44 UTC
verified on ovirt-engine-4.4.7.6-0.11.el8ev.noarch

Created in UI and also by Rest API the following types of VMs (on a setup with three hosts):

1. HA VM pinned to one host, not allowed migration.
2. HA VM pinned to two hosts, not allowed migration.
3. HA VM pinned to one host, user migratable
4. HA VM pinned to two hosts, user migratable.

Checked that the HA option is always enabled in UI for VMs created by rest and by UI.

Run all the VMs.
Used host2 as a proxy to run the following commands to power off two other hosts (host1 and host3) the VMs are pinned to

 vdsm-client Host fenceNode username=ADMIN password=ADMIN addr=ocelot01-bmc.mgmt.lab3.tlv.redhat.com agent=ipmilan action=off options=lanplus=1 port=
 vdsm-client Host fenceNode username=ADMIN password=ADMIN addr=ocelot03-bmc.mgmt.lab3.tlv.redhat.com agent=ipmilan action=off options=lanplus=1 port=

While two hosts were powered off one VM restarted to the host2 , others remained in unknown state (marked in UI with question mark).
Then, when the hosts are Up again , all the VMs running

Comment 4 Arik 2021-07-26 07:11:22 UTC
This bugzilla is included in oVirt 4.4.7 release, published on July 6th 2021.

Since the problem described in this bug report should be resolved in oVirt 4.4.7 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.